
Redmine - Defect #19467

Downloading attachments will be wrong if the file names contain more than two chinese characters

2015-03-24 12:45 - micro bead

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

If the file names contain more than two chinese characters, downloading attachments will be wrong, and http 500 error will be

occured.

Would anybody help me?

thx

Related issues:

Is duplicate of Redmine - Defect #19374: MinGW thin and puma: Internal server... Closed

History

#1 - 2015-03-24 13:02 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Duplicate of #19374.

#2 - 2015-03-24 13:02 - Toshi MARUYAMA

- Is duplicate of Defect #19374: MinGW thin and puma: Internal server error occoures when attachment file name contains non ASCII added

#3 - 2015-03-24 14:10 - micro bead

- Status changed from Closed to Reopened

two chinese characters can work,but more than two ones will be wrong.

#4 - 2015-03-24 14:35 - micro bead

have solved the problem

open the following file and add some codes

D:\Bitnami\redmine-3.0.0-0\apps\redmine\htdocs\vendor\bundle\ruby\2.0.0\gems\actionpack-4.2.0\lib\action_dispatch\middleware

if match = paths.detect { |p|

path = File.join(test test, p)

begin

File.file?(path) && File.readable?(path)

rescue SystemCallError

false

rescue EncodingError

false

end

}

#5 - 2015-03-24 14:56 - Toshi MARUYAMA

- Status changed from Reopened to Closed

#6 - 2015-03-24 14:57 - Toshi MARUYAMA

- Resolution changed from Invalid to Duplicate

#7 - 2015-03-26 14:15 - Toshi MARUYAMA

I have created issue.

https://github.com/macournoyer/thin/issues/268#issuecomment-86508080
https://www.redmine.org/issues/19374
https://www.redmine.org/users/1651
https://github.com/macournoyer/thin/issues/268#issuecomment-86508080
